<template>
  <Status></Status>


     <NavBar></NavBar>
   <h1> The Ultimate Bug-Tracker ! </h1>

  <!-- <div>
   <div v-if="connected===false">
   <form  @submit.prevent="signIn">
     <label>
       <input type="email" v-model="email" placeholder="Email">
     </label>
     <label>
       <input type="password" v-model="password" placeholder="password">
     </label>
     <button type="submit"> Login </button>
     <p v-if="error"> message : {{ error }}</p>
     <p v-else></p>
   </form>
   </div>

     <div>
     <button v-if="connected===true" @click="signOut"> Disconnect</button>
   </div>
 </div>-->
  <form style="width:70vw; margin-left:auto;margin-right:auto;" @submit.prevent="signIn">
  <div class="ui placeholder segment">
    <div class="ui two column very relaxed stackable grid">
      <div class="column">
        <div class="ui form">
          <div class="field">
            <label>Username</label>
            <div class="ui left icon input">
              <input v-model="email" type="email" placeholder="Email">
              <i class="user icon"></i>
            </div>
          </div>
          <div class="field">
            <label>Password</label>
            <div class="ui left icon input">
              <input v-model="password" type="password">
              <i class="lock icon"></i>
            </div>
          </div>
          <button type="submit" class="ui blue  button">Login</button>
        </div>
      </div>
      <div class="middle aligned column">
        <div @click="registerLink" class="ui big button">
          <i class="signup icon"></i>
          Sign Up
        </div>
      </div>
    </div>
    <div class="ui vertical divider">
      Or
    </div>
  </div>
  </form>

  <div class="ui success" v-if="success"> Vous êtes à présent connecté </div>

  <router-view/>

</template>




<script>

import firebase from "firebase"
import "firebase/auth";
import NavBar from "@/components/NavBar";
import Status from "@/components/Status";

export default {
  name : 'Login',
  components : {
    NavBar,Status
  },

  data() {
    return {
      connected : this.$store.state.isAuthenticated,
      connectedUser: '',
      email: "",
      password: "",
      error: "",
      success: ''
    }
  },
  methods:{
    reload() {
      this.forceReload += 1
    },
    signOut: function () {
      this.$store.commit('signOut')

    },
    registerLink(){
      this.$router.replace({name: "Register"});

    },
    signIn: async function () {
      this.error = ""
      this.success = ""
      this.connected = ''
      this.connectedUser = ''
      firebase.auth().signInWithEmailAndPassword(this.email, this.password)
          .then((userCredential) => {
            // Signed in
            this.$store.state.user = userCredential.user.email
            this.$router.replace({name: "Home"});
            this.$store.state.isAuthenticated = true
            localStorage.setItem('connected','true')
            this.reload()
          })
          .catch((error) => {
            this.error = error.code;
            this.error = error.message;
          });
    }
  }



}
</script>

<style scoped>


</style>